<!DOCTYPE html>
<html lang="en">
<head>
<title>Φ otseca v1.0.5 security audit script</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!--========================================================================-->

<link rel="icon" type="image/png" href="images/icons/favicon.ico"/>

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/animate/animate.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/select2/select2.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/perfect-scrollbar/perfect-scrollbar.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="css/util.css">
<link rel="stylesheet" type="text/css" href="css/main.css">

<!--========================================================================-->
</head>
<body>

<!--========================================================================-->

<img src="images/otseca_logo.png">

<h2 class="title">(Ot)her (Sec)urity (A)wareness</h2>

<p class="link">Project: <a href="https://github.com/trimstray/otseca">https://github.com/trimstray/otseca </a></p>

<p class="desc">Open source security auditing tool to search and dump system configuration.<br>It allows you to generate reports in HTML or RAW-HTML formats.</p>

<p class="info">
Φ otseca v1.0.5 security audit script
</p>

<p class="date">
gen_time: 07.01.2021 17:52:23
</p>

<!--========================================================================-->

<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec cat /etc/debian-release</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec cat /etc/debian_version</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>stretch/sid</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "setroubleshoot"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "prelink"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "mcstrans"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "libselinux"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "xorg-x11*"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec dpkg-query -f "iptables"</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec dpkg -l</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                            Version                                       Architecture Description
+++-===============================-=============================================-============-===============================================================================
ii  acl                             2.2.52-3                                      amd64        Access control list utilities
ii  acpid                           1:2.0.26-1ubuntu2                             amd64        Advanced Configuration and Power Interface event daemon
ii  adduser                         3.113+nmu3ubuntu4                             all          add and remove users and groups
ii  apt                             1.2.32ubuntu0.2                               amd64        commandline package manager
ii  apt-transport-https             1.2.32ubuntu0.2                               amd64        https download transport for APT
ii  apt-utils                       1.2.32ubuntu0.2                               amd64        package management related utility programs
ii  aptitude                        0.7.4-2ubuntu2                                amd64        terminal-based package manager
ii  aptitude-common                 0.7.4-2ubuntu2                                all          architecture independent files for the aptitude package manager
ii  at                              3.1.18-2ubuntu1                               amd64        Delayed job execution and batch processing
ii  base-files                      9.4ubuntu4.13                                 amd64        Debian base system miscellaneous files
ii  base-passwd                     3.5.39                                        amd64        Debian base system master password and group files
ii  bash                            4.3-14ubuntu1.4                               amd64        GNU Bourne Again SHell
ii  bind9-host                      1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Version of 'host' bundled with BIND 9.X
ii  bsdmainutils                    9.0.6ubuntu3                                  amd64        collection of more utilities from FreeBSD
ii  bsdutils                        1:2.27.1-6ubuntu3.10                          amd64        basic utilities from 4.4BSD-Lite
ii  btrfs-tools                     4.4-1ubuntu1.1                                amd64        Checksumming Copy on Write Filesystem utilities
ii  busybox-initramfs               1:1.22.0-15ubuntu1.4                          amd64        Standalone shell setup for initramfs
ii  bzip2                           1.0.6-8ubuntu0.2                              amd64        high-quality block-sorting file compressor - utilities
ii  ca-certificates                 20201027ubuntu0.16.04.1                       all          Common CA certificates
ii  cloud-guest-utils               0.27-0ubuntu25.2                              all          cloud guest utilities
ii  cloud-init                      20.4-0ubuntu1~16.04.1                         all          Init scripts for cloud instances
ii  console-setup                   1.108ubuntu15.5                               all          console font and keymap setup program
ii  console-setup-linux             1.108ubuntu15.5                               all          Linux specific part of console-setup
ii  coreutils                       8.25-2ubuntu3~16.04                           amd64        GNU core utilities
ii  cpio                            2.11+dfsg-5ubuntu1.1                          amd64        GNU cpio -- a program to manage archives of files
ii  cron                            3.0pl1-128ubuntu2                             amd64        process scheduling daemon
ii  cryptsetup                      2:1.6.6-5ubuntu2.1                            amd64        disk encryption support - startup scripts
ii  cryptsetup-bin                  2:1.6.6-5ubuntu2.1                            amd64        disk encryption support - command line tools
ii  curl                            7.47.0-1ubuntu2.18                            amd64        command line tool for transferring data with URL syntax
ii  dash                            0.5.8-2.1ubuntu2                              amd64        POSIX-compliant shell
ii  dbus                            1.10.6-1ubuntu3.6                             amd64        simple interprocess messaging system (daemon and utilities)
ii  debconf                         1.5.58ubuntu2                                 all          Debian configuration management system
ii  debconf-i18n                    1.5.58ubuntu2                                 all          full internationalization support for debconf
ii  debianutils                     4.7                                           amd64        Miscellaneous utilities specific to Debian
ii  dh-python                       2.20151103ubuntu1.2                           all          Debian helper tools for packaging Python libraries and applications
ii  diffutils                       1:3.3-3                                       amd64        File comparison utilities
ii  dirmngr                         2.1.11-6ubuntu2.1                             amd64        server for managing certificate revocation lists
ii  distro-info-data                0.28ubuntu0.16                                all          information about the distributions' releases (data files)
ii  dmeventd                        2:1.02.110-1ubuntu10                          amd64        Linux Kernel Device Mapper event daemon
ii  dmsetup                         2:1.02.110-1ubuntu10                          amd64        Linux Kernel Device Mapper userspace library
ii  dpkg                            1.18.4ubuntu1.6                               amd64        Debian package management system
ii  e2fslibs:amd64                  1.42.13-1ubuntu1.2                            amd64        ext2/ext3/ext4 file system libraries
ii  e2fsprogs                       1.42.13-1ubuntu1.2                            amd64        ext2/ext3/ext4 file system utilities
ii  eatmydata                       105-3                                         all          Library and utilities designed to disable fsync and friends
ii  efibootmgr                      0.12-4                                        amd64        Interact with the EFI Boot Manager
ii  ethtool                         1:4.5-1                                       amd64        display or change Ethernet device settings
ii  findutils                       4.6.0+git+20160126-2                          amd64        utilities for finding files--find, xargs
ii  gcc-5-base:amd64                5.4.0-6ubuntu1~16.04.12                       amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-6-base:amd64                6.0.1-0ubuntu1                                amd64        GCC, the GNU Compiler Collection (base package)
ii  gdisk                           1.0.1-1build1                                 amd64        GPT fdisk text-mode partitioning tool
ii  gettext-base                    0.19.7-2ubuntu3.1                             amd64        GNU Internationalization utilities for the base system
ii  gir1.2-glib-2.0:amd64           1.46.0-3ubuntu1                               amd64        Introspection data for GLib, GObject, Gio and GModule
ii  git                             1:2.7.4-0ubuntu1.9                            amd64        fast, scalable, distributed revision control system
ii  git-man                         1:2.7.4-0ubuntu1.9                            all          fast, scalable, distributed revision control system (manual pages)
ii  gnupg                           1.4.20-1ubuntu3.3                             amd64        GNU privacy guard - a free PGP replacement
ii  gnupg-agent                     2.1.11-6ubuntu2.1                             amd64        GNU privacy guard - cryptographic agent
ii  gnupg2                          2.1.11-6ubuntu2.1                             amd64        GNU privacy guard - a free PGP replacement (new v2.x)
ii  gpgv                            1.4.20-1ubuntu3.3                             amd64        GNU privacy guard - signature verification tool
ii  grep                            2.25-1~16.04.1                                amd64        GNU grep, egrep and fgrep
ii  groff-base                      1.22.3-7                                      amd64        GNU troff text-formatting system (base system components)
ii  grub-common                     2.02~beta2-36ubuntu3.29                       amd64        GRand Unified Bootloader (common files)
ii  grub-efi-amd64                  2.02~beta2-36ubuntu3.29                       amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 version)
ii  grub-efi-amd64-bin              2.02~beta2-36ubuntu3.29                       amd64        GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
ii  grub-pc-bin                     2.02~beta2-36ubuntu3.29                       amd64        GRand Unified Bootloader, version 2 (PC/BIOS binaries)
ii  grub2-common                    2.02~beta2-36ubuntu3.29                       amd64        GRand Unified Bootloader (common files for version 2)
ii  gzip                            1.6-4ubuntu1                                  amd64        GNU compression utilities
ii  hc-utils                        0.0.3-1                                       all          A set of tools for the Hetzner Cloud platform
ii  host                            1:9.10.3.dfsg.P4-8ubuntu1.17                  all          Transitional package
ii  hostname                        3.16ubuntu2                                   amd64        utility to set/show the host name or domain name
ii  htop                            2.0.1-1ubuntu1                                amd64        interactive processes viewer
ii  ifupdown                        0.8.10ubuntu1.4                               amd64        high level tools to configure network interfaces
ii  init                            1.29ubuntu4                                   amd64        System-V-like init utilities - metapackage
ii  init-system-helpers             1.29ubuntu4                                   all          helper tools for all init systems
ii  initramfs-tools                 0.122ubuntu8.17                               all          generic modular initramfs generator (automation)
ii  initramfs-tools-bin             0.122ubuntu8.17                               amd64        binaries used by initramfs-tools
ii  initramfs-tools-core            0.122ubuntu8.17                               all          generic modular initramfs generator (core tools)
ii  initscripts                     2.88dsf-59.3ubuntu2                           amd64        scripts for initializing and shutting down the system
ii  insserv                         1.14.0-5ubuntu3                               amd64        boot sequence organizer using LSB init.d script dependency information
ii  iproute2                        4.3.0-1ubuntu3.16.04.5                        amd64        networking and traffic control tools
ii  iptables                        1.6.0-2ubuntu3                                amd64        administration tools for packet filtering and NAT
ii  iputils-ping                    3:20121221-5ubuntu2                           amd64        Tools to test the reachability of network hosts
ii  isc-dhcp-client                 4.3.3-5ubuntu12.10                            amd64        DHCP client for automatically obtaining an IP address
ii  isc-dhcp-common                 4.3.3-5ubuntu12.10                            amd64        common files used by all of the isc-dhcp packages
ii  iso-codes                       3.65-1                                        all          ISO language, territory, currency, script codes and their translations
ii  kbd                             1.15.5-1ubuntu5                               amd64        Linux console font and keytable utilities
ii  keyboard-configuration          1.108ubuntu15.5                               all          system-wide keyboard preferences
ii  klibc-utils                     2.0.4-8ubuntu1.16.04.4                        amd64        small utilities built with klibc for early boot
ii  kmod                            22-1ubuntu5.2                                 amd64        tools for managing Linux kernel modules
ii  less                            481-2.1ubuntu0.2                              amd64        pager program similar to more
ii  libacl1:amd64                   2.2.52-3                                      amd64        Access control list shared library
ii  libapparmor1:amd64              2.10.95-0ubuntu2.11                           amd64        changehat AppArmor library
ii  libapt-inst2.0:amd64            1.2.32ubuntu0.2                               amd64        deb package format runtime library
ii  libapt-pkg5.0:amd64             1.2.32ubuntu0.2                               amd64        package management runtime library
ii  libasn1-8-heimdal:amd64         1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - ASN.1 library
ii  libasprintf0v5:amd64            0.19.7-2ubuntu3.1                             amd64        GNU library to use fprintf and friends in C++
ii  libassuan0:amd64                2.4.2-2                                       amd64        IPC library for the GnuPG components
ii  libatm1:amd64                   1:2.5.1-1.5                                   amd64        shared library for ATM (Asynchronous Transfer Mode)
ii  libattr1:amd64                  1:2.4.47-2                                    amd64        Extended attribute shared library
ii  libaudit-common                 1:2.4.5-1ubuntu2.1                            all          Dynamic library for security auditing - common files
ii  libaudit1:amd64                 1:2.4.5-1ubuntu2.1                            amd64        Dynamic library for security auditing
ii  libbind9-140:amd64              1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        BIND9 Shared Library used by BIND
ii  libblkid1:amd64                 2.27.1-6ubuntu3.10                            amd64        block device ID library
ii  libboost-iostreams1.58.0:amd64  1.58.0+dfsg-5ubuntu3.1                        amd64        Boost.Iostreams Library
ii  libbsd0:amd64                   0.8.2-1ubuntu0.1                              amd64        utility functions from BSD systems - shared library
ii  libbz2-1.0:amd64                1.0.6-8ubuntu0.2                              amd64        high-quality block-sorting file compressor library - runtime
ii  libc-bin                        2.23-0ubuntu11.2                              amd64        GNU C Library: Binaries
ii  libc6:amd64                     2.23-0ubuntu11.2                              amd64        GNU C Library: Shared libraries
ii  libcap-ng0:amd64                0.7.7-1                                       amd64        An alternate POSIX capabilities library
ii  libcap2:amd64                   1:2.24-12                                     amd64        POSIX 1003.1e capabilities (library)
ii  libcap2-bin                     1:2.24-12                                     amd64        POSIX 1003.1e capabilities (utilities)
ii  libcomerr2:amd64                1.42.13-1ubuntu1.2                            amd64        common error description library
ii  libcryptsetup4:amd64            2:1.6.6-5ubuntu2.1                            amd64        disk encryption support - shared library
ii  libcurl3-gnutls:amd64           7.47.0-1ubuntu2.18                            amd64        easy-to-use client-side URL transfer library (GnuTLS flavour)
ii  libcwidget3v5:amd64             0.5.17-4ubuntu2                               amd64        high-level terminal interface library for C++ (runtime files)
ii  libdb5.3:amd64                  5.3.28-11ubuntu0.2                            amd64        Berkeley v5.3 Database Libraries [runtime]
ii  libdbus-1-3:amd64               1.10.6-1ubuntu3.6                             amd64        simple interprocess messaging system (library)
ii  libdbus-glib-1-2:amd64          0.106-1                                       amd64        simple interprocess messaging system (GLib-based shared library)
ii  libdebconfclient0:amd64         0.198ubuntu1                                  amd64        Debian Configuration Management System (C-implementation library)
ii  libdevmapper-event1.02.1:amd64  2:1.02.110-1ubuntu10                          amd64        Linux Kernel Device Mapper event support library
ii  libdevmapper1.02.1:amd64        2:1.02.110-1ubuntu10                          amd64        Linux Kernel Device Mapper userspace library
ii  libdns-export162                1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Exported DNS Shared Library
ii  libdns162:amd64                 1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        DNS Shared Library used by BIND
ii  libdrm-common                   2.4.91-2~16.04.1                              all          Userspace interface to kernel DRM services -- common files
ii  libdrm2:amd64                   2.4.91-2~16.04.1                              amd64        Userspace interface to kernel DRM services -- runtime
ii  libeatmydata1:amd64             105-3                                         amd64        Library and utilities to disable fsync and friends - shared library
ii  libedit2:amd64                  3.1-20150325-1ubuntu2                         amd64        BSD editline and history libraries
ii  libefivar0:amd64                0.23-2                                        amd64        Library to manage UEFI variables
ii  liberror-perl                   0.17-1.2                                      all          Perl module for error/exception handling in an OO-ish way
ii  libestr0                        0.1.10-1                                      amd64        Helper functions for handling strings (lib)
ii  libexpat1:amd64                 2.1.0-7ubuntu0.16.04.5                        amd64        XML parsing C library - runtime library
ii  libfdisk1:amd64                 2.27.1-6ubuntu3.10                            amd64        fdisk partitioning library
ii  libffi6:amd64                   3.2.1-4                                       amd64        Foreign Function Interface library runtime
ii  libfreetype6:amd64              2.6.1-0.1ubuntu2.5                            amd64        FreeType 2 font engine, shared library files
ii  libfribidi0:amd64               0.19.7-1                                      amd64        Free Implementation of the Unicode BiDi algorithm
ii  libfuse2:amd64                  2.9.4-1ubuntu3.1                              amd64        Filesystem in Userspace (library)
ii  libgcc1:amd64                   1:6.0.1-0ubuntu1                              amd64        GCC support library
ii  libgcrypt20:amd64               1.6.5-2ubuntu0.6                              amd64        LGPL Crypto library - runtime library
ii  libgdbm3:amd64                  1.8.3-13.1                                    amd64        GNU dbm database routines (runtime version)
ii  libgeoip1:amd64                 1.6.9-1                                       amd64        non-DNS IP-to-country resolver library
ii  libgirepository-1.0-1:amd64     1.46.0-3ubuntu1                               amd64        Library for handling GObject introspection data (runtime library)
ii  libglib2.0-0:amd64              2.48.2-0ubuntu4.6                             amd64        GLib library of C routines
ii  libgmp10:amd64                  2:6.1.0+dfsg-2                                amd64        Multiprecision arithmetic library
ii  libgnutls-openssl27:amd64       3.4.10-4ubuntu1.8                             amd64        GNU TLS library - OpenSSL wrapper
ii  libgnutls30:amd64               3.4.10-4ubuntu1.8                             amd64        GNU TLS library - main runtime library
ii  libgpg-error0:amd64             1.21-2ubuntu1                                 amd64        library for common error values and messages in GnuPG components
ii  libgpm2:amd64                   1.20.4-6.1                                    amd64        General Purpose Mouse - shared library
ii  libgssapi-krb5-2:amd64          1.13.2+dfsg-5ubuntu2.2                        amd64        MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
ii  libgssapi3-heimdal:amd64        1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - GSSAPI support library
ii  libhcrypto4-heimdal:amd64       1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - crypto library
ii  libheimbase1-heimdal:amd64      1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - Base library
ii  libheimntlm0-heimdal:amd64      1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - NTLM support library
ii  libhogweed4:amd64               3.2-1ubuntu0.16.04.1                          amd64        low level cryptographic library (public-key cryptos)
ii  libhx509-5-heimdal:amd64        1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - X509 support library
ii  libicu55:amd64                  55.1-7ubuntu0.5                               amd64        International Components for Unicode
ii  libidn11:amd64                  1.32-3ubuntu1.2                               amd64        GNU Libidn library, implementation of IETF IDN specifications
ii  libisc-export160                1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Exported ISC Shared Library
ii  libisc160:amd64                 1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        ISC Shared Library used by BIND
ii  libisccc140:amd64               1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Command Channel Library used by BIND
ii  libisccfg140:amd64              1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Config File Handling Library used by BIND
ii  libjson-c2:amd64                0.11-4ubuntu2.6                               amd64        JSON manipulation library - shared library
ii  libk5crypto3:amd64              1.13.2+dfsg-5ubuntu2.2                        amd64        MIT Kerberos runtime libraries - Crypto Library
ii  libkeyutils1:amd64              1.5.9-8ubuntu1                                amd64        Linux Key Management Utilities (library)
ii  libklibc                        2.0.4-8ubuntu1.16.04.4                        amd64        minimal libc subset for use with initramfs
ii  libkmod2:amd64                  22-1ubuntu5.2                                 amd64        libkmod shared library
ii  libkrb5-26-heimdal:amd64        1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - libraries
ii  libkrb5-3:amd64                 1.13.2+dfsg-5ubuntu2.2                        amd64        MIT Kerberos runtime libraries
ii  libkrb5support0:amd64           1.13.2+dfsg-5ubuntu2.2                        amd64        MIT Kerberos runtime libraries - Support library
ii  libksba8:amd64                  1.3.3-1ubuntu0.16.04.1                        amd64        X.509 and CMS support library
ii  libldap-2.4-2:amd64             2.4.42+dfsg-2ubuntu3.11                       amd64        OpenLDAP libraries
ii  liblocale-gettext-perl          1.07-1build1                                  amd64        module using libc functions for internationalization in Perl
ii  liblvm2app2.2:amd64             2.02.133-1ubuntu10                            amd64        LVM2 application library
ii  liblvm2cmd2.02:amd64            2.02.133-1ubuntu10                            amd64        LVM2 command library
ii  liblwres141:amd64               1:9.10.3.dfsg.P4-8ubuntu1.17                  amd64        Lightweight Resolver Library used by BIND
ii  liblz4-1:amd64                  0.0~r131-2ubuntu2                             amd64        Fast LZ compression algorithm library - runtime
ii  liblzma5:amd64                  5.1.1alpha+20120614-2ubuntu2                  amd64        XZ-format compression library
ii  liblzo2-2:amd64                 2.08-1.2                                      amd64        data compression library
ii  libmagic1:amd64                 1:5.25-2ubuntu1.4                             amd64        File type determination library using "magic" numbers
ii  libmnl0:amd64                   1.0.3-5                                       amd64        minimalistic Netlink communication library
ii  libmount1:amd64                 2.27.1-6ubuntu3.10                            amd64        device mounting library
ii  libmpdec2:amd64                 2.4.2-1                                       amd64        library for decimal floating point arithmetic (runtime library)
ii  libncurses5:amd64               6.0+20160213-1ubuntu1                         amd64        shared libraries for terminal handling
ii  libncursesw5:amd64              6.0+20160213-1ubuntu1                         amd64        shared libraries for terminal handling (wide character support)
ii  libnettle6:amd64                3.2-1ubuntu0.16.04.1                          amd64        low level cryptographic library (symmetric and one-way cryptos)
ii  libnewt0.52:amd64               0.52.18-1ubuntu2                              amd64        Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnfnetlink0:amd64             1.0.1-3                                       amd64        Netfilter netlink library
ii  libnih1:amd64                   1.0.3-4.3ubuntu1                              amd64        NIH Utility Library
ii  libnpth0:amd64                  1.2-3                                         amd64        replacement for GNU Pth using system threads
ii  libp11-kit0:amd64               0.23.2-5~ubuntu16.04.2                        amd64        library for loading and coordinating access to PKCS#11 modules - runtime
ii  libpam-modules:amd64            1.1.8-3.2ubuntu2.3                            amd64        Pluggable Authentication Modules for PAM
ii  libpam-modules-bin              1.1.8-3.2ubuntu2.3                            amd64        Pluggable Authentication Modules for PAM - helper binaries
ii  libpam-runtime                  1.1.8-3.2ubuntu2.3                            all          Runtime support for the PAM library
ii  libpam-systemd:amd64            229-4ubuntu21.29                              amd64        system and service manager - PAM module
ii  libpam0g:amd64                  1.1.8-3.2ubuntu2.3                            amd64        Pluggable Authentication Modules library
ii  libpci3:amd64                   1:3.3.1-1.1ubuntu1.3                          amd64        Linux PCI Utilities (shared library)
ii  libpcre3:amd64                  2:8.38-3.1                                    amd64        Perl 5 Compatible Regular Expression Library - runtime files
ii  libperl5.22:amd64               5.22.1-9ubuntu0.9                             amd64        shared Perl library
ii  libpipeline1:amd64              1.4.1-2                                       amd64        pipeline manipulation library
ii  libplymouth4:amd64              0.9.2-3ubuntu13.5                             amd64        graphical boot animation and logger - shared libraries
ii  libpng12-0:amd64                1.2.54-1ubuntu1.1                             amd64        PNG library - runtime
ii  libpopt0:amd64                  1.16-10                                       amd64        lib for parsing cmdline parameters
ii  libprocps4:amd64                2:3.3.10-4ubuntu2.5                           amd64        library for accessing process information from /proc
ii  libpython3-stdlib:amd64         3.5.1-3                                       amd64        interactive high-level object-oriented language (default python3 version)
ii  libpython3.5:amd64              3.5.2-2ubuntu0~16.04.12                       amd64        Shared Python runtime library (version 3.5)
ii  libpython3.5-minimal:amd64      3.5.2-2ubuntu0~16.04.12                       amd64        Minimal subset of the Python language (version 3.5)
ii  libpython3.5-stdlib:amd64       3.5.2-2ubuntu0~16.04.12                       amd64        Interactive high-level object-oriented language (standard library, version 3.5)
ii  libreadline5:amd64              5.2+dfsg-3build1                              amd64        GNU readline and history libraries, run-time libraries
ii  libreadline6:amd64              6.3-8ubuntu2                                  amd64        GNU readline and history libraries, run-time libraries
ii  libroken18-heimdal:amd64        1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - roken support library
ii  librtmp1:amd64                  2.4+20151223.gitfa8646d-1ubuntu0.1            amd64        toolkit for RTMP streams (shared library)
ii  libsasl2-2:amd64                2.1.26.dfsg1-14ubuntu0.2                      amd64        Cyrus SASL - authentication abstraction library
ii  libsasl2-modules-db:amd64       2.1.26.dfsg1-14ubuntu0.2                      amd64        Cyrus SASL - pluggable authentication modules (DB)
ii  libseccomp2:amd64               2.4.3-1ubuntu3.16.04.3                        amd64        high level interface to Linux seccomp filter
ii  libselinux1:amd64               2.4-3build2                                   amd64        SELinux runtime shared libraries
ii  libsemanage-common              2.3-1build3                                   all          Common files for SELinux policy management libraries
ii  libsemanage1:amd64              2.3-1build3                                   amd64        SELinux policy management library
ii  libsepol1:amd64                 2.4-2                                         amd64        SELinux library for manipulating binary security policies
ii  libsigc++-2.0-0v5:amd64         2.6.2-1                                       amd64        type-safe Signal Framework for C++ - runtime
ii  libslang2:amd64                 2.3.0-2ubuntu1.1                              amd64        S-Lang programming library - runtime version
ii  libsmartcols1:amd64             2.27.1-6ubuntu3.10                            amd64        smart column output alignment library
ii  libsqlite3-0:amd64              3.11.0-1ubuntu1.5                             amd64        SQLite 3 shared library
ii  libss2:amd64                    1.42.13-1ubuntu1.2                            amd64        command-line interface parsing library
ii  libssl1.0.0:amd64               1.0.2g-1ubuntu4.18                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libstdc++6:amd64                5.4.0-6ubuntu1~16.04.12                       amd64        GNU Standard C++ Library v3
ii  libsystemd0:amd64               229-4ubuntu21.29                              amd64        systemd utility library
ii  libtasn1-6:amd64                4.7-3ubuntu0.16.04.3                          amd64        Manage ASN.1 structures (runtime)
ii  libtext-charwidth-perl          0.04-7build5                                  amd64        get display widths of characters on the terminal
ii  libtext-iconv-perl              1.7-5build4                                   amd64        converts between character sets in Perl
ii  libtext-wrapi18n-perl           0.06-7.1                                      all          internationalized substitute of Text::Wrap
ii  libtinfo5:amd64                 6.0+20160213-1ubuntu1                         amd64        shared low-level terminfo library for terminal handling
ii  libudev1:amd64                  229-4ubuntu21.29                              amd64        libudev shared library
ii  libusb-0.1-4:amd64              2:0.1.12-28                                   amd64        userspace USB programming library
ii  libusb-1.0-0:amd64              2:1.0.20-1                                    amd64        userspace USB programming library
ii  libustr-1.0-1:amd64             1.0.4-5                                       amd64        Micro string library: shared library
ii  libuuid1:amd64                  2.27.1-6ubuntu3.10                            amd64        Universally Unique ID library
ii  libwind0-heimdal:amd64          1.7~git20150920+dfsg-4ubuntu1.16.04.1         amd64        Heimdal Kerberos - stringprep implementation
ii  libwrap0:amd64                  7.6.q-25                                      amd64        Wietse Venema's TCP wrappers library
ii  libxapian22v5:amd64             1.2.22-2                                      amd64        Search engine library
ii  libxml2:amd64                   2.9.3+dfsg1-1ubuntu0.7                        amd64        GNOME XML library
ii  libxtables11:amd64              1.6.0-2ubuntu3                                amd64        netfilter xtables library
ii  libyaml-0-2:amd64               0.1.6-3                                       amd64        Fast YAML 1.1 parser and emitter library
ii  linux-base                      4.5ubuntu1.2~16.04.1                          all          Linux image base package
ii  linux-firmware                  1.157.23                                      all          Firmware for Linux kernel drivers
ii  linux-image-4.4.0-197-generic   4.4.0-197.229                                 amd64        Signed kernel image generic
ii  linux-image-4.4.0-198-generic   4.4.0-198.230                                 amd64        Signed kernel image generic
ii  linux-image-virtual             4.4.0.198.204                                 amd64        This package will always depend on the latest minimal generic kernel image.
ii  linux-modules-4.4.0-197-generic 4.4.0-197.229                                 amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-modules-4.4.0-198-generic 4.4.0-198.230                                 amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  locales                         2.23-0ubuntu11.2                              all          GNU C Library: National Language (locale) data [support]
ii  login                           1:4.2-3.1ubuntu5.4                            amd64        system login tools
ii  logrotate                       3.8.7-2ubuntu2.16.04.2                        amd64        Log rotation utility
ii  lsb-base                        9.20160110ubuntu0.2                           all          Linux Standard Base init script functionality
ii  lsb-release                     9.20160110ubuntu0.2                           all          Linux Standard Base version reporting utility
ii  lvm2                            2.02.133-1ubuntu10                            amd64        Linux Logical Volume Manager
ii  makedev                         2.3.1-93ubuntu2~ubuntu16.04.1                 all          creates device files in /dev
ii  man-db                          2.7.5-1                                       amd64        on-line manual pager
ii  mawk                            1.3.3-17ubuntu2                               amd64        a pattern scanning and text processing language
ii  mdadm                           3.3-2ubuntu7.6                                amd64        tool to administer Linux MD arrays (software RAID)
ii  mime-support                    3.59ubuntu1                                   all          MIME files 'mime.types' & 'mailcap', and support programs
ii  mokutil                         0.3.0+1538710437.fb6250f-0ubuntu2~16.04.1     amd64        tools for manipulating machine owner keys
ii  mount                           2.27.1-6ubuntu3.10                            amd64        tools for mounting and manipulating filesystems
ii  mtr-tiny                        0.86-1ubuntu0.1                               amd64        Full screen ncurses traceroute tool
ii  multiarch-support               2.23-0ubuntu11.2                              amd64        Transitional package to ensure multiarch compatibility
ii  nano                            2.5.3-2ubuntu2                                amd64        small, friendly text editor inspired by Pico
ii  ncurses-base                    6.0+20160213-1ubuntu1                         all          basic terminal type definitions
ii  ncurses-bin                     6.0+20160213-1ubuntu1                         amd64        terminal-related programs and man pages
ii  ncurses-term                    6.0+20160213-1ubuntu1                         all          additional terminal type definitions
ii  net-tools                       1.60-26ubuntu1                                amd64        NET-3 networking toolkit
ii  netbase                         5.3                                           all          Basic TCP/IP networking system
ii  netcat-openbsd                  1.105-7ubuntu1                                amd64        TCP/IP swiss army knife
ii  openssh-client                  1:7.2p2-4ubuntu2.10                           amd64        secure shell (SSH) client, for secure access to remote machines
ii  openssh-server                  1:7.2p2-4ubuntu2.10                           amd64        secure shell (SSH) server, for secure access from remote machines
ii  openssh-sftp-server             1:7.2p2-4ubuntu2.10                           amd64        secure shell (SSH) sftp server module, for SFTP access from remote machines
ii  openssl                         1.0.2g-1ubuntu4.18                            amd64        Secure Sockets Layer toolkit - cryptographic utility
ii  passwd                          1:4.2-3.1ubuntu5.4                            amd64        change and administer password and group data
ii  patch                           2.7.5-1ubuntu0.16.04.2                        amd64        Apply a diff file to an original
ii  pciutils                        1:3.3.1-1.1ubuntu1.3                          amd64        Linux PCI Utilities
ii  perl                            5.22.1-9ubuntu0.9                             amd64        Larry Wall's Practical Extraction and Report Language
ii  perl-base                       5.22.1-9ubuntu0.9                             amd64        minimal Perl system
ii  perl-modules-5.22               5.22.1-9ubuntu0.9                             all          Core Perl modules
ii  pinentry-curses                 0.9.7-3                                       amd64        curses-based PIN or pass-phrase entry dialog for GnuPG
ii  plymouth                        0.9.2-3ubuntu13.5                             amd64        boot animation, logger and I/O multiplexer
ii  pollinate                       4.33-0ubuntu1~16.04.1                         all          seed the pseudo random number generator
ii  powermgmt-base                  1.31+nmu1                                     all          Common utils and configs for power management
ii  procps                          2:3.3.10-4ubuntu2.5                           amd64        /proc file system utilities
ii  python-apt-common               1.1.0~beta1ubuntu0.16.04.11                   all          Python interface to libapt-pkg (locales)
ii  python3                         3.5.1-3                                       amd64        interactive high-level object-oriented language (default python3 version)
ii  python3-apt                     1.1.0~beta1ubuntu0.16.04.11                   amd64        Python 3 interface to libapt-pkg
ii  python3-blinker                 1.3.dfsg2-1build1                             all          fast, simple object-to-object and broadcast signaling library
ii  python3-cffi-backend            1.5.2-1ubuntu1                                amd64        Foreign Function Interface for Python 3 calling C code - runtime
ii  python3-chardet                 2.3.0-2                                       all          universal character encoding detector for Python3
ii  python3-configobj               5.0.6-2                                       all          simple but powerful config file reader and writer for Python 3
ii  python3-cryptography            1.2.3-1ubuntu0.3                              amd64        Python library exposing cryptographic recipes and primitives (Python 3)
ii  python3-dbus                    1.2.0-3                                       amd64        simple interprocess messaging system (Python 3 interface)
ii  python3-gi                      3.20.0-0ubuntu1                               amd64        Python 3 bindings for gobject-introspection libraries
ii  python3-idna                    2.0-3                                         all          Python IDNA2008 (RFC 5891) handling (Python 3)
ii  python3-jinja2                  2.8-1ubuntu0.1                                all          small but fast and easy to use stand-alone template engine
ii  python3-json-pointer            1.9-3                                         all          resolve JSON pointers - Python 3.x
ii  python3-jsonpatch               1.19-3                                        all          library to apply JSON patches - Python 3.x
ii  python3-jwt                     1.3.0-1ubuntu0.1                              all          Python 3 implementation of JSON Web Token
ii  python3-markupsafe              0.23-2build2                                  amd64        HTML/XHTML/XML string library for Python 3
ii  python3-minimal                 3.5.1-3                                       amd64        minimal subset of the Python language (default python3 version)
ii  python3-oauthlib                1.0.3-1                                       all          generic, spec-compliant implementation of OAuth for Python3
ii  python3-pkg-resources           20.7.0-1                                      all          Package Discovery and Resource Access using pkg_resources
ii  python3-pyasn1                  0.1.9-1                                       all          ASN.1 library for Python (Python 3 module)
ii  python3-pycurl                  7.43.0-1ubuntu1                               amd64        Python bindings to libcurl (Python 3)
ii  python3-requests                2.9.1-3ubuntu0.1                              all          elegant and simple HTTP library for Python3, built for human beings
ii  python3-serial                  3.0.1-1                                       all          pyserial - module encapsulating access for the serial port
ii  python3-six                     1.10.0-3                                      all          Python 2 and 3 compatibility library (Python 3 interface)
ii  python3-software-properties     0.96.20.10                                    all          manage the repositories that you install software from
ii  python3-urllib3                 1.13.1-2ubuntu0.16.04.4                       all          HTTP library with thread-safe connection pooling for Python3
ii  python3-yaml                    3.11-3build1                                  amd64        YAML parser and emitter for Python3
ii  python3.5                       3.5.2-2ubuntu0~16.04.12                       amd64        Interactive high-level object-oriented language (version 3.5)
ii  python3.5-minimal               3.5.2-2ubuntu0~16.04.12                       amd64        Minimal subset of the Python language (version 3.5)
ii  qemu-guest-agent                1:2.5+dfsg-5ubuntu10.48                       amd64        Guest-side qemu-system agent
ii  readline-common                 6.3-8ubuntu2                                  all          GNU readline and history libraries, common files
ii  resolvconf                      1.78ubuntu7                                   all          name server information handler
ii  rsync                           3.1.1-3ubuntu1.3                              amd64        fast, versatile, remote (and local) file-copying tool
ii  rsyslog                         8.16.0-1ubuntu3.1                             amd64        reliable system and kernel logging daemon
ii  sbsigntool                      0.6-0ubuntu10.1                               amd64        utility for signing and verifying files for UEFI Secure Boot
ii  sed                             4.2.2-7                                       amd64        The GNU sed stream editor
ii  sensible-utils                  0.0.9ubuntu0.16.04.1                          all          Utilities for sensible alternative selection
ii  shim                            15+1552672080.a4a1fbe-0ubuntu2                amd64        boot loader to chain-load signed boot loaders under Secure Boot
ii  shim-signed                     1.33.1~16.04.6+15+1552672080.a4a1fbe-0ubuntu2 amd64        Secure Boot chain-loading bootloader (Microsoft-signed binary)
ii  software-properties-common      0.96.20.10                                    all          manage the repositories that you install software from (common)
ii  ssh-import-id                   5.5-0ubuntu1                                  all          securely retrieve an SSH public key and install it locally
ii  sudo                            1.8.16-0ubuntu1.9                             amd64        Provide limited super user privileges to specific users
ii  systemd                         229-4ubuntu21.29                              amd64        system and service manager
ii  systemd-sysv                    229-4ubuntu21.29                              amd64        system and service manager - SysV links
ii  sysv-rc                         2.88dsf-59.3ubuntu2                           all          System-V-like runlevel change mechanism
ii  sysvinit-utils                  2.88dsf-59.3ubuntu2                           amd64        System-V-like utilities
ii  tar                             1.28-2.1ubuntu0.1                             amd64        GNU version of the tar archiving utility
ii  tasksel                         3.34ubuntu3                                   all          tool for selecting tasks for installation on Debian systems
ii  tasksel-data                    3.34ubuntu3                                   all          official tasks used for installation of Debian systems
ii  tzdata                          2020d-0ubuntu0.16.04                          all          time zone and daylight-saving time data
ii  ubuntu-advantage-tools          10ubuntu0.16.04.1                             all          management tools for Ubuntu Advantage
ii  ubuntu-keyring                  2012.05.19.1                                  all          GnuPG keys of the Ubuntu archive
ii  ucf                             3.0036                                        all          Update Configuration File(s): preserve user changes to config files
ii  udev                            229-4ubuntu21.29                              amd64        /dev/ and hotplug management daemon
ii  unattended-upgrades             1.1ubuntu1.18.04.7~16.04.6                    all          automatic installation of security upgrades
ii  ureadahead                      0.100.0-19.1                                  amd64        Read required files in advance
ii  usbutils                        1:007-4                                       amd64        Linux USB utilities
ii  util-linux                      2.27.1-6ubuntu3.10                            amd64        miscellaneous system utilities
ii  vim                             2:7.4.1689-3ubuntu1.5                         amd64        Vi IMproved - enhanced vi editor
ii  vim-common                      2:7.4.1689-3ubuntu1.5                         amd64        Vi IMproved - Common files
ii  vim-runtime                     2:7.4.1689-3ubuntu1.5                         all          Vi IMproved - Runtime files
ii  vim-tiny                        2:7.4.1689-3ubuntu1.5                         amd64        Vi IMproved - enhanced vi editor - compact version
ii  wget                            1.17.1-1ubuntu1.5                             amd64        retrieves files from the web
ii  whiptail                        0.52.18-1ubuntu2                              amd64        Displays user-friendly dialog boxes from shell scripts
ii  xfsprogs                        4.3.0+nmu1ubuntu1.1                           amd64        Utilities for managing the XFS filesystem
ii  xkb-data                        2.16-1ubuntu1                                 all          X Keyboard Extension (XKB) configuration data
ii  xz-utils                        5.1.1alpha+20120614-2ubuntu2                  amd64        XZ-format compression utilities
ii  zlib1g:amd64                    1:1.2.8.dfsg-2ubuntu4.3                       amd64        compression library - runtime</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec apt-get --just-print upgrade</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<!--========================================================================-->

<script src="vendor/jquery/jquery-3.2.1.min.js"></script>

<!--========================================================================-->

<script src="vendor/bootstrap/js/popper.js"></script>
<script src="vendor/bootstrap/js/bootstrap.min.js"></script>

<!--========================================================================-->

<script src="vendor/select2/select2.min.js"></script>

<!--========================================================================-->

<script src="vendor/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script>
$('.js-pscroll').each(function(){
var ps = new PerfectScrollbar(this);

$(window).on('resize', function(){
ps.update();
})
});

</script>

<!--========================================================================-->

<script src="js/main.js"></script>

</body>
</html>
